Subject: Re: vlan/macvlan 02/02: propagate transmission state to upper layers

From: Stephen Hemminger <[email-masked]>
Date: Tue, 10 Nov 2009 08:48:14 -0800

On Tue, 10 Nov 2009 17:14:24 +0100
Patrick McHardy <[email-masked]> wrote:

>   vlan/macvlan: propagate transmission state to upper layers
>     
>     Both vlan and macvlan devices usually don't use a qdisc and immediately
>     queue packets to the underlying device. Propagate transmission state of
>     the underlying device to the upper layers so they can react on congestion
>     and/or inform the sending process.
>     
>     Signed-off-by: Patrick McHardy <[email-masked]>

Bridging and bonding have same issue, but the solution is more difficult.